#!/bin/bash
#
# $Id$
#

host=`./config.guess`

echo "Your host seems to be... '$host'"

case "$host" in
    *-linux-gnu*)
	os_type=linux
	;;
    *)
	echo "*** Your host $host is unsupported."
	exit;
	;;
esac

INITRD_ROOT="$(pwd)/root"
INITRD_FILE="$(pwd)/initrd"

[ -z "$kern" ] && kern=`uname -r`
echo -n "creating $(basename ${INITRD_FILE}).gz for $kern ... "

if [ -f ${os_type}/build.sh ]; then
    . ${os_type}/build.sh
else
    echo "build script missing. Bailing!"
fi

echo done

